For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get a parameter for a tenant payment method

Get a parameter for a tenant payment method.

get
/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid}/parameters/{tenantPaymentMethodParameterUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
tenantPaymentMethodUidstringRequired

Reference to a tenant PaymentMethodUid.

Pattern: ^[A-Za-z0-9-_]+
tenantPaymentMethodParameterUidstringRequired

Primary key of the TenantPaymentMethodParameter table

Responses
200Success
application/json
tenantPaymentMethodParameterUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
descriptionstringRequired
requiredbooleanRequired
keystringRequired
typestring · enumRequiredPossible values:
regexstringRequired

regular expression

positionintegerRequired
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
get/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid}/parameters/{tenantPaymentMethodParameterUid}
GET /v2/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid}/parameters/{tenantPaymentMethodParameterUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Success
{
  "tenantPaymentMethodParameterUid": "text",
  "name": "text",
  "description": "text",
  "required": true,
  "key": "text",
  "type": "TEXT",
  "regex": "text",
  "position": 1,
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text"
}

Last updated

Was this helpful?